<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");


date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if(isset($_POST['nom_empresa'])):
	$nom_empresa = strtoupper(utf8_decode($_POST['nom_empresa']));
else:
	$nom_empresa = '';
endif;

$sqlGrupo = "SELECT * FROM empresa WHERE nom_empresa = '$nom_empresa'";
$conGrupo = $bdSMS->consulta($sqlGrupo);
$resGrupo = $bdSMS->num_rows($conGrupo);

//Valido si no hay empresas parecidas
//Si no está el registro lo inserta
if($resGrupo==0):
	$inser = $bdSMS->consulta("INSERT INTO empresa(nom_empresa, fecha_comen, comentario) VALUES ('$nom_empresa', '$fecha_hoy', '$nom_empresa')");	
	$texto = 'Ingresó el grupo emrpesarial '.utf8_decode($nom_empresa).' correctamente en la base de datos';
//Si el registro existe saca una alerta
else:
	$texto = 'Error: El grupo emrpesarial '.utf8_decode($nom_empresa).' ya exsite en la base de datos ';
endif;

?>
<meta charset = "utf-8">
<meta http-equiv = "Content-Type" content = "text/html; charset = utf-8"/> 

<form name = "grupo_sms_dat" id = "grupo_sms_dat">
    <input name = "nom_empresa" type = "hidden" id = "nom_empresa"  value = "<?= $nom_empresa?>"/>
</form>

<div id = "accionesDiv">
    <div id = "accionesDivText" class = "accionesDivText"><?=$texto?></div>
    <div id = "accionesDiv2">
        <div id = "accionesDivBoton">
            <div id = "boton" class = "boton" onClick = "guardar('sms_crear_grupo.php','','modal','cargando')">Crear nuevo grupo SMS</div>
        </div>
        <div id = "accionesDivBoton">
            <div id = "boton" class = "boton" onClick = "dato('sms_crear_cliente.php','modal','cargando','nom_empresa','<?=$nom_empresa?>')">Crear nuevo cliente <?=$nom_empresa?></div>
        </div>
    </div>
</div>

